// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: tms/model/transport-unit-row.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type TransportUnitRow struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          int64                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Truck       *TransportUnitTruck   `protobuf:"bytes,2,opt,name=truck,proto3" json:"truck,omitempty"`
	Trailer     *TransportUnitTrailer `protobuf:"bytes,3,opt,name=trailer,proto3" json:"trailer,omitempty"`
	Drivers     []*Driver             `protobuf:"bytes,4,rep,name=drivers,proto3" json:"drivers,omitempty"`
	State       string                `protobuf:"bytes,10,opt,name=state,proto3" json:"state,omitempty"`
	CreatedDate int64                 `protobuf:"varint,11,opt,name=createdDate,proto3" json:"createdDate,omitempty"`
	ClosedDate  int64                 `protobuf:"varint,12,opt,name=closedDate,proto3" json:"closedDate,omitempty"`
}

func (x *TransportUnitRow) Reset() {
	*x = TransportUnitRow{}
	if protoimpl.UnsafeEnabled {
		mi := &file_tms_model_transport_unit_row_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransportUnitRow) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransportUnitRow) ProtoMessage() {}

func (x *TransportUnitRow) ProtoReflect() protoreflect.Message {
	mi := &file_tms_model_transport_unit_row_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransportUnitRow.ProtoReflect.Descriptor instead.
func (*TransportUnitRow) Descriptor() ([]byte, []int) {
	return file_tms_model_transport_unit_row_proto_rawDescGZIP(), []int{0}
}

func (x *TransportUnitRow) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *TransportUnitRow) GetTruck() *TransportUnitTruck {
	if x != nil {
		return x.Truck
	}
	return nil
}

func (x *TransportUnitRow) GetTrailer() *TransportUnitTrailer {
	if x != nil {
		return x.Trailer
	}
	return nil
}

func (x *TransportUnitRow) GetDrivers() []*Driver {
	if x != nil {
		return x.Drivers
	}
	return nil
}

func (x *TransportUnitRow) GetState() string {
	if x != nil {
		return x.State
	}
	return ""
}

func (x *TransportUnitRow) GetCreatedDate() int64 {
	if x != nil {
		return x.CreatedDate
	}
	return 0
}

func (x *TransportUnitRow) GetClosedDate() int64 {
	if x != nil {
		return x.ClosedDate
	}
	return 0
}

var File_tms_model_transport_unit_row_proto protoreflect.FileDescriptor

var file_tms_model_transport_unit_row_proto_rawDesc = []byte{
	0x0a, 0x22, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e, 0x69, 0x74, 0x2d, 0x72, 0x6f, 0x77, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x74, 0x6d, 0x73, 0x1a, 0x16, 0x74, 0x6d, 0x73, 0x2f, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x64, 0x72, 0x69, 0x76, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x24, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e, 0x69, 0x74, 0x2d, 0x74, 0x72, 0x75, 0x63,
	0x6b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x26, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e, 0x69,
	0x74, 0x2d, 0x74, 0x72, 0x61, 0x69, 0x6c, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0x85, 0x02, 0x0a, 0x10, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69,
	0x74, 0x52, 0x6f, 0x77, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x2d, 0x0a, 0x05, 0x74, 0x72, 0x75, 0x63, 0x6b, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x54, 0x72, 0x75, 0x63, 0x6b, 0x52, 0x05, 0x74, 0x72,
	0x75, 0x63, 0x6b, 0x12, 0x33, 0x0a, 0x07, 0x74, 0x72, 0x61, 0x69, 0x6c, 0x65, 0x72, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x74, 0x6d, 0x73, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x54, 0x72, 0x61, 0x69, 0x6c, 0x65, 0x72, 0x52,
	0x07, 0x74, 0x72, 0x61, 0x69, 0x6c, 0x65, 0x72, 0x12, 0x25, 0x0a, 0x07, 0x64, 0x72, 0x69, 0x76,
	0x65, 0x72, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0b, 0x2e, 0x74, 0x6d, 0x73, 0x2e,
	0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x52, 0x07, 0x64, 0x72, 0x69, 0x76, 0x65, 0x72, 0x73, 0x12,
	0x14, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x44, 0x61, 0x74, 0x65, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x44, 0x61, 0x74, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x6c, 0x6f, 0x73, 0x65,
	0x64, 0x44, 0x61, 0x74, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x63, 0x6c, 0x6f,
	0x73, 0x65, 0x64, 0x44, 0x61, 0x74, 0x65, 0x42, 0x85, 0x01, 0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e,
	0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x67, 0x72, 0x70, 0x63, 0x2e,
	0x74, 0x6d, 0x73, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42, 0x10, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x70, 0x6f, 0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x6f, 0x77, 0x50, 0x01, 0x5a, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79,
	0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67,
	0x72, 0x70, 0x63, 0x2f, 0x74, 0x6d, 0x73, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03,
	0x4d, 0x58, 0x58, 0xaa, 0x02, 0x13, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e,
	0x54, 0x4d, 0x53, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x03, 0x54, 0x4d, 0x53, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_tms_model_transport_unit_row_proto_rawDescOnce sync.Once
	file_tms_model_transport_unit_row_proto_rawDescData = file_tms_model_transport_unit_row_proto_rawDesc
)

func file_tms_model_transport_unit_row_proto_rawDescGZIP() []byte {
	file_tms_model_transport_unit_row_proto_rawDescOnce.Do(func() {
		file_tms_model_transport_unit_row_proto_rawDescData = protoimpl.X.CompressGZIP(file_tms_model_transport_unit_row_proto_rawDescData)
	})
	return file_tms_model_transport_unit_row_proto_rawDescData
}

var file_tms_model_transport_unit_row_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_tms_model_transport_unit_row_proto_goTypes = []interface{}{
	(*TransportUnitRow)(nil),     // 0: tms.TransportUnitRow
	(*TransportUnitTruck)(nil),   // 1: tms.TransportUnitTruck
	(*TransportUnitTrailer)(nil), // 2: tms.TransportUnitTrailer
	(*Driver)(nil),               // 3: tms.Driver
}
var file_tms_model_transport_unit_row_proto_depIdxs = []int32{
	1, // 0: tms.TransportUnitRow.truck:type_name -> tms.TransportUnitTruck
	2, // 1: tms.TransportUnitRow.trailer:type_name -> tms.TransportUnitTrailer
	3, // 2: tms.TransportUnitRow.drivers:type_name -> tms.Driver
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_tms_model_transport_unit_row_proto_init() }
func file_tms_model_transport_unit_row_proto_init() {
	if File_tms_model_transport_unit_row_proto != nil {
		return
	}
	file_tms_model_driver_proto_init()
	file_tms_model_transport_unit_truck_proto_init()
	file_tms_model_transport_unit_trailer_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_tms_model_transport_unit_row_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransportUnitRow); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_tms_model_transport_unit_row_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_tms_model_transport_unit_row_proto_goTypes,
		DependencyIndexes: file_tms_model_transport_unit_row_proto_depIdxs,
		MessageInfos:      file_tms_model_transport_unit_row_proto_msgTypes,
	}.Build()
	File_tms_model_transport_unit_row_proto = out.File
	file_tms_model_transport_unit_row_proto_rawDesc = nil
	file_tms_model_transport_unit_row_proto_goTypes = nil
	file_tms_model_transport_unit_row_proto_depIdxs = nil
}
